#include <Midi.hpp>
#include <TextFileIO.hpp>
#include "naguido.hpp"

class Guido
{
  MString guidoDateiName;

public:
  // Constructor
  Guido (const MString& dateiName)
    {  guidoDateiName = dateiName;  }

  ~Guido ()
    {  }

  // Guido nach Midi Convertieren (ggf Ticks pro Viertel angeben)
  Midi guido2Midi (unsigned short ticksPerQuater = 64*9*5,
                   unsigned short quaterPerMinute = 100,
                   float intensity = 0.8, bool *useChannel = NULL,
                   bool multipelTempo = false,
                   FileIO *logFile = new TextFileIO (TextFileIO::stdErr),
                   DynamicList dynamicList = DynamicList (),
                   float factorDefault = 0.8, float factorStaccato = 0.5, 
                   float factorTenuto = 0.95, float factorSlur = 1.0,
		   float factorFermata = 2.0 , float factorAccent = 1.1, 
                   float factorMarcato = 1.2) const
    {
       Midi midi;
       midi.header.setDivision (ticksPerQuater);

       na_parse (midi, guidoDateiName, quaterPerMinute, intensity,
                 useChannel, multipelTempo, logFile, dynamicList,
                 factorDefault, factorStaccato, factorTenuto, factorSlur,
		 factorFermata, factorAccent, factorMarcato);

       return (midi);
    }

  operator Midi () const
    {  return (guido2Midi ());  }
};

