/*******************************************************************************
* Copyright Johannes Martin Software Entwicklung (L.Martin@TeamOS2.de)         *
********************************************************************************
* FILE NAME: MString.hpp                                                       *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the class:                                                  *
*     MString                                                                  *
*******************************************************************************/
#ifndef _MSTRING_
#define _MSTRING_

#include <stdlib.h>
#include <string.h>
#include <stdio.h>

#include <bool.h>

class MString;

// MString class definition
class MString
{
protected:
  char *s;
public:
  // Constructors
  _Export MString ();
  _Export MString (char c);
  _Export MString (char* string);
  _Export MString (const char* string);
  _Export MString (const MString& string);
  _Export MString (const signed long l);
  _Export MString (const unsigned long l);

  // Destructor
  ~MString ()
    {  delete[] s;  }

  // length of the String
  unsigned long length () const
    {  return strlen (s);  }

  // operators
  operator char* () const
    {  return (s);  }
  unsigned long asUnsigned () const
    {  return strtoul (s, 0, 10);  }
  unsigned long asSigned () const
    {  return strtol (s, 0, 10);  }
  double asDouble () const
    {  return strtod(s, 0);  }

  // earch a string or char and return startposition
  unsigned long _Export indexOf (const MString& searchString) const;
  unsigned long indexOf (char c) const
    {  return indexOf (MString (c));  }
  unsigned long _Export lastIndexOf (const MString& searchString) const;

  // new String which begins at startPos
  MString subString (unsigned startPos) const
    {  return MString (&(s[startPos]));  }

  // removes the substring beginning at index startPos
  MString& _Export remove (unsigned long startPos);

  // more operators
  MString& _Export operator+= (const MString& string);
  MString _Export operator+ (const MString& string) const;
  MString& _Export operator= (const MString& string);
  bool operator== (const MString& string)
    {  return (strcmp (s, string.s) == 0);  }
  bool operator>= (const MString& string)
    {  return (strcmp (s, string.s) >= 0);  }
  bool operator<= (const MString& string)
    {  return (strcmp (s, string.s) <= 0);  }
  bool operator> (const MString& string)
    {  return (strcmp (s, string.s) > 0);  }
  bool operator< (const MString& string)
    {  return (strcmp (s, string.s) < 0);  }
};

#endif

