/*******************************************************************************
* Copyright Johannes Martin Software Entwicklung (L.Martin@TeamOS2.de)         *
********************************************************************************
* FILE NAME: Notifier.hpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the class:                                                  *
*     Notifier                                                                 *
*******************************************************************************/
#ifndef _NOTIFIER_
#define _NOTIFIER_

#include <stl.h>

class Observer;

class Notifier {
protected:
  list<Observer*> observers;
public:
  // Destructor
  inline ~Notifier();

  inline void notifyObservers(int id, void *userData);
  inline void registerObserver(Observer &observer);
  inline void deregisterObserver(Observer &observer);
};

#include <Observer.hpp>

inline Notifier::~Notifier() {
//  if (!observers.empty ())
    for (list<Observer*>::iterator i = observers.begin(); i != observers.end(); i++)
      (*i)->handleDestroyNotification();
}

inline void Notifier::notifyObservers(int id, void *userData) {
//  if (!observers.empty ())
    for (list<Observer*>::iterator i = observers.begin(); i != observers.end(); i++)
      (*i)->handleNotification(id, userData);
}

inline void Notifier::registerObserver(Observer &observer) {
  observers.push_back(&observer);
}

inline void Notifier::deregisterObserver(Observer &observer) {
  for (list<Observer*>::iterator i = observers.begin(); i != observers.end(); i++)
    if (*i == &observer) {
      observers.erase(i);
      break;
  }
}

#endif
