/* naGuido.h */

#ifndef NAGUIDO

#include <Midi.hpp>
#include <FileIO.hpp>

// Errors
#define ERROR_NAGUIDO    1111

// class to store dynamic-name and intensity
class Dynamic
{
public:
  MString name;
  float intensity;

  Dynamic ()
    {  intensity = 0;  }

  // operators
  friend bool operator== (const Dynamic& dynamic1, const Dynamic& dynamic2);
  friend bool operator< (const Dynamic& dynamic1, const Dynamic& dynamic2);
};

// operator== for Dynamic
inline bool operator== (const Dynamic& dynamic1, const Dynamic& dynamic2)
{
  return ((dynamic1.name == dynamic2.name)&&
          (dynamic1.intensity == dynamic2.intensity));
}

// operator< for Dynamic
inline bool operator< (const Dynamic& dynamic1, const Dynamic& dynamic2)
{
  return ((dynamic1.name < dynamic2.name)&&
          (dynamic1.intensity < dynamic2.intensity));
}

// List to store dynamik and intensity
typedef list<Dynamic> DynamicList;

// GMN einlesen und MIDI erzeugen
extern void _Export na_parse (Midi& midi, const MString& guidoDateiName,
                      unsigned short quaterPerMinute, float intensity,
                      bool *useChannel, bool multipelTempo, FileIO *logFile,
                      DynamicList &dynamicList, float factorDefault,
                      float factorStaccato, float factorTenuto,
                      float factorSlur, float factorFermata,
                      float factorAccent, float factorMarcato);


#endif

