/*******************************************************************************
* Copyright Johannes Martin Software Entwicklung (L.Martin@TeamOS2.de)         *
********************************************************************************
* FILE NAME: Midi.hpp                                                          *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the class:                                                  *
*     Midi                                                                     *
*******************************************************************************/
#ifndef _MIDI_
#define _MIDI_

#include <MidiHeaderChunk.hpp>
#include <MidiTrackChunk.hpp>

typedef NotifyingPointerList<MidiTrackChunk> TrackList;

class Midi : public TrackList
{
public:
  MidiHeaderChunk header;

  // Constructoren
  Midi ()
    {}
  Midi (const Midi& midi)
    : TrackList (midi)
    {  header = midi.header;  }

  // operator=
  Midi& operator= (const Midi& midi)
    {  TrackList::operator= (midi);
       header = midi.header;
       return *this;  }
  // operator+=
  Midi& operator+= (MidiTrackChunk* track)
    {  TrackList::operator+= (track);  return *this;  }

  // TrackZahl
  unsigned long trackCount () const
    {  return size (); }

  // Convertiert Midi nach Typ 0 und gibt Zeiger auf neuen Track zurck
  MidiTrackChunk* _Export convertToType0 () const;
  // Convertiert Midi nach Typ 0
  void _Export convertToType0 ();

  // Stcklnge in Sekunden erfragen
  unsigned long _Export length () const;

  // Titel und Komponist erfragen
  MString _Export titel () const;
  MString _Export copyright () const;
};

// sichern und laden
FileIO& _Export operator>> (FileIO& fileIO, Midi& midi);
FileIO& _Export operator<< (FileIO& fileIO, const Midi& midi);

#endif
