/*******************************************************************************
* Copyright Johannes Martin Software Entwicklung (L.Martin@TeamOS2.de)         *
********************************************************************************
* FILE NAME: MidiChannelPressure.hpp                                           *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the class:                                                  *
*     MidiChannelPressure                                                      *
*******************************************************************************/
#ifndef _MIDICHANNELPRESSURE_
#define _MIDICHANNELPRESSURE_

#include <MidiChannelMessage.hpp>

class MidiChannelPressure : public MidiChannelMessage
{
protected:
  unsigned char midiPressure;

public:
  // Constructor
  MidiChannelPressure (void)
    {  midiPressure = 0;  }

  // Message kopieren
  MidiMessage* _Export copy () const;

  // Message Id
  unsigned char id () const
    {  return 0xD0;  }

  // Pressure
  unsigned char pressure () const
    {  return midiPressure;  }
  void _Export setPressure (const unsigned char pressureTemp);

  // Ein- und Ausgabe
  IO& _Export out (IO& iO) const;
  IO& _Export in (IO& iO);
};

#endif

