/*******************************************************************************
* Copyright Johannes Martin Software Entwicklung (L.Martin@TeamOS2.de)         *
********************************************************************************
* FILE NAME: MidiControlChange.hpp                                             *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the class:                                                  *
*     MidiControlChange                                                        *
*******************************************************************************/
#ifndef _MIDICONTROLCHANGE_
#define _MIDICONTROLCHANGE_

#include <MidiChannelMessage.hpp>

class MidiControlChange : public MidiChannelMessage
{
protected:
  unsigned char midiControl, midiValue;

public:
  // Constructor
  _Export MidiControlChange (void);

  // Message kopieren
  MidiMessage* _Export copy () const;

  // Message ID
  unsigned char id () const
    {  return 0xB0;  }

  // Control
  unsigned char control () const
    {  return midiControl;  }
  void _Export setControl (const unsigned char controlTemp);

  // Value
  unsigned char value () const
    {  return midiValue;  }
  void _Export setValue (const unsigned char valueTemp);

  // Ein- und Ausgabe
  IO& _Export out (IO& iO) const;
  IO& _Export in (IO& iO);
};

#endif

