/*******************************************************************************
* Copyright Johannes Martin Software Entwicklung (L.Martin@TeamOS2.de)         *
********************************************************************************
* FILE NAME: MidiDelay.hpp                                                     *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the class:                                                  *
*     MidiDelay                                                                *
*******************************************************************************/
#ifndef _MIDIDELAY_
#define _MIDIDELAY_

#include <FileIO.hpp>

class MidiDelay
{
protected:
  unsigned long timeDelay;

public:
  // Constructoren
  MidiDelay ()
    {  timeDelay = 0;  }
  MidiDelay (const MidiDelay& midiDelayTemp)
    {  timeDelay = midiDelayTemp.timeDelay;  }
  _Export MidiDelay (const unsigned long delayTemp);

  // Umwandlungs-Operatoren
  MidiDelay& _Export operator= (const MidiDelay& midiDelayTemp);
  MidiDelay& _Export operator= (const unsigned long delayTemp);
  MidiDelay& _Export operator+= (const MidiDelay& midiDelayTemp);
  MidiDelay& _Export operator+= (const long delayTemp);
  MidiDelay& operator-= (const MidiDelay& midiDelayTemp)
    {  return (*this += -(unsigned long)midiDelayTemp);  }
  MidiDelay& operator-= (const unsigned long delayTemp)
    {  return (*this += -delayTemp);  }
  operator unsigned long () const
    {  return timeDelay;  }
};

// Laden und sichern des MidiDelays
FileIO& _Export operator>> (FileIO& fileIO, MidiDelay& midiDelay);
FileIO& _Export operator<< (FileIO& fileIO, const MidiDelay& midiDelay);

#endif

