/*******************************************************************************
* Copyright Johannes Martin Software Entwicklung (L.Martin@TeamOS2.de)         *
********************************************************************************
* FILE NAME: MidiEndOfExclusive.cpp                                            *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Class implementation of the class:                                         *
*     MidiEndOfExclusive                                                       *
*******************************************************************************/

#include "MidiEndOfExclusive.hpp"

#include "MidiErrors.h"

// Message kopieren
MidiMessage* MidiEndOfExclusive::copy () const
{
  MidiEndOfExclusive *messageTemp = new MidiEndOfExclusive ();
  messageTemp->setDelay (delay());
  return (messageTemp);
}

// sichern
IO& MidiEndOfExclusive::out (IO& iO) const
{
  return iO << (unsigned char)(0xF7);
}

// laden und ueberpruefen
IO& MidiEndOfExclusive::in (IO& iO)
{
  // Erwartet, da richtiges Statusbyte gelesen wurde
  return iO;
}

