/*******************************************************************************
* Copyright Johannes Martin Software Entwicklung (L.Martin@TeamOS2.de)         *
********************************************************************************
* FILE NAME: MidiFileMessage.hpp                                               *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the class:                                                  *
*     MIDIFileMessage                                                          *
*******************************************************************************/
#ifndef _MIDIFILEMESSAGE_
#define _MIDIFILEMESSAGE_

#include <Exception.hpp>

#include <MidiMessage.hpp>

#include <MidiErrors.h>

class MidiFileMessage : public MidiMessage
{
public:
  // Standard Ein und Ausgabe
  virtual IO& out (IO&) const
    {  throw (Exception (ERROR_MIDI_NO_SEQUENCER_IO));  }
  virtual IO& in (IO&)
    {  throw (Exception (ERROR_MIDI_NO_SEQUENCER_IO));  }

  // Sequencer Ein und Ausgabe
  virtual SequencerIO& sequencerOut (SequencerIO&) const
    {  throw (Exception (ERROR_MIDI_NO_SEQUENCER_IO));  }
  virtual SequencerIO& sequencerIn (SequencerIO&)
    {  throw (Exception (ERROR_MIDI_NO_SEQUENCER_IO));  }
};

#endif

