/*******************************************************************************
* Copyright Johannes Martin Software Entwicklung (L.Martin@TeamOS2.de)         *
********************************************************************************
* FILE NAME: MidiHeaderChunk.hpp                                               *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the class:                                                  *
*     MidiHeaderChunk                                                          *
*******************************************************************************/
#ifndef _MIDIHEADERCHUNK_
#define _MIDIHEADERCHUNK_

class MidiHeaderChunk
{
protected:
  unsigned short midiFormat, midiDivision;

public:
  // Constructor / Destructor
  MidiHeaderChunk (void)
    {  midiFormat = 0;
       midiDivision = 1920/4; }  // 128*3/2 * 10
  MidiHeaderChunk (const MidiHeaderChunk& header)
    {  *this = header;  }
  MidiHeaderChunk& operator= (const MidiHeaderChunk& header)
    {  midiFormat = header.midiFormat;
       midiDivision = header.midiDivision;
       return *this;  }

  // Format
  unsigned short format () const
    {  return midiFormat;  }
  void setFormat (const unsigned short formatTemp)
    {  midiFormat = formatTemp;  }

  // Division
  unsigned short division () const
    {  return midiDivision;  }
  void setDivision (const unsigned short divisionTemp)
    {  midiDivision = divisionTemp;  }
};

#endif

