/*******************************************************************************
* Copyright Johannes Martin Software Entwicklung (L.Martin@TeamOS2.de)         *
********************************************************************************
* FILE NAME: MidiKeyPressure.hpp                                               *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the class:                                                  *
*     MidiKeyPressure                                                          *
*******************************************************************************/
#ifndef _MIDIKEYPRESSURE_
#define _MIDIKEYPRESSURE_

#include <MidiChannelMessage.hpp>

class MidiKeyPressure : public MidiChannelMessage
{
protected:
  unsigned char midiKey, midiDynamic;

public:
  // Constructor
  _Export MidiKeyPressure (void);

  // Message kopieren
  MidiMessage* _Export copy () const;

  // Message ID
  unsigned char id () const
    {  return 0xA0;  }

  // Tonhoehe
  unsigned char key () const
    {  return midiKey;  }
  void _Export setKey (const unsigned char keyTemp);

  // Dynamic
  unsigned char dynamic () const
    {  return midiDynamic;  }
  void _Export setDynamic (const unsigned char dynamicTemp);

  // Ein- und Ausgaben
  IO& _Export out (IO& iO) const;
  IO& _Export in (IO& iO);
};

#endif

