/*******************************************************************************
* Copyright Johannes Martin Software Entwicklung (L.Martin@TeamOS2.de)         *
********************************************************************************
* FILE NAME: MidiNoteOn.hpp                                                    *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the class:                                                  *
*     MidiNoteOn                                                               *
*******************************************************************************/
#ifndef _MIDINOTEON_
#define _MIDINOTEON_

#include <MidiChannelMessage.hpp>

class MidiNoteOn : public MidiChannelMessage
{
protected:
  unsigned char midiKey, midiDynamic;

public:
  // Constructor
  _Export MidiNoteOn (void);

  // Message kopieren
  MidiMessage* _Export copy () const;

  // Message ID
  unsigned char id () const
    {  return 0x90; }

  // Tonhoehe
  unsigned char key () const
    {  return midiKey;  }
  void _Export setKey (const unsigned char keyTemp);

  // Dynamic
  unsigned char dynamic () const
    {  return midiDynamic;  }
  void _Export setDynamic (const unsigned char dynamicTemp);

  // Ein- und Ausgabe
  IO& _Export out (IO& iO) const;
  IO& _Export in (IO& iO);
};

#endif

