/*******************************************************************************
* Copyright Johannes Martin Software Entwicklung (L.Martin@TeamOS2.de)         *
********************************************************************************
* FILE NAME: MidiPitchBendChange.hpp                                           *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the class:                                                  *
*     MidiPitchBendChange                                                      *
*******************************************************************************/
#ifndef _MIDIPITCHBENDCHANGE_
#define _MIDIPITCHBENDCHANGE_

#include <MidiChannelMessage.hpp>

class MidiPitchBendChange : public MidiChannelMessage
{
protected:
  unsigned short midiPitchBend;

public:
  // Constructor
  MidiPitchBendChange (void)
  {  midiPitchBend = 0;  }

  // Message kopieren
  MidiMessage* _Export copy () const;

  // Message ID
  unsigned char id () const
    {  return 0xE0;  }

  // Pitch Bend
  unsigned short pitchBend () const
    {  return midiPitchBend;  }
  void _Export setPitchBend (const unsigned short pitchBendTemp);

  // Ein- und Ausgabe
  IO& _Export out (IO& iO) const;
  IO& _Export in (IO& iO);
};

#endif

