/*******************************************************************************
* Copyright Johannes Martin Software Entwicklung (L.Martin@TeamOS2.de)         *
********************************************************************************
* FILE NAME: MidiProgramChange.hpp                                             *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the class:                                                  *
*     MidiProgramChange                                                        *
*******************************************************************************/
#ifndef _MIDIPROGRAMCHANGE_
#define _MIDIPROGRAMCHANGE_

#include <MidiChannelMessage.hpp>

class MidiProgramChange : public MidiChannelMessage
{
protected:
  unsigned char midiProgram;

public:
  // Constructor
  MidiProgramChange (void)
    {  midiProgram = 0;  }

  // Message kopieren
  MidiMessage* _Export copy () const;

  // Message ID
  unsigned char id () const
    {  return 0xC0;  }

  // Program
  unsigned char program () const
    {  return midiProgram;  }
  void _Export setProgram (const unsigned char programTemp);

  // Ein- und Ausgaben
  IO& _Export out (IO& iO) const;
  IO& _Export in (IO& iO);
};

#endif

