/*******************************************************************************
* Copyright Johannes Martin Software Entwicklung (L.Martin@TeamOS2.de)         *
********************************************************************************
* FILE NAME: MidiRealTimeMessages.hpp                                          *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the class:                                                  *
*     MidiTimingClock                                                          *
*     MidiStart                                                                *
*     MidiContinue                                                             *
*     MidiStop                                                                 *
*     MidiActiveSensing                                                        *
*     MidiSystemReset                                                          *
*******************************************************************************/
#ifndef _MIDIREALTIMEMESSAGES_
#define _MIDIREALTIMEMESSAGES_

#include <MidiSequencerMessage.hpp>

class MidiTimingClock : public MidiMessage
{
public:
  // Message kopieren
  MidiMessage* _Export copy () const;

  // Message ID
  unsigned char id () const
    {  return 0xF8; }

  // Ein- und Ausgabe
  IO& _Export out (IO& iO) const;
  IO& _Export in (IO& iO);
};

class MidiStart : public MidiMessage
{
public:
  // Message kopieren
  MidiMessage* _Export copy () const;

  // Message ID
  unsigned char id () const
    {  return 0xFA;  }

  // Ein- und Ausgabe
  IO& _Export out (IO& iO) const;
  IO& _Export in (IO& iO);
};

class MidiContinue : public MidiMessage
{
public:
  // Message kopieren
  MidiMessage* _Export copy () const;

  // Message ID
  unsigned char id () const
    {  return 0xFB;  }

  // Ein- und Ausgabe
  IO& _Export out (IO& iO) const;
  IO& _Export in (IO& iO);
};

class MidiStop : public MidiMessage
{
public:
  // Message kopieren
  MidiMessage* _Export copy () const;

  // Message ID
  unsigned char id () const
    {  return 0xFC;  }

  // Ein- und Ausgabe
  IO& _Export out (IO& iO) const;
  IO& _Export in (IO& iO);
};

class MidiActiveSensing : public MidiMessage
{
public:
  // Message kopieren
  MidiMessage* _Export copy () const;

  // Message ID
  unsigned char id () const
    {  return 0xFE;  }

  // Ein- und Ausgabe
  IO& _Export out (IO& iO) const;
  IO& _Export in (IO& iO);
};

class MidiSystemReset : public MidiSequencerMessage
{
public:
  // Message kopieren
  MidiMessage* _Export copy () const;

  // Message ID
  unsigned char id () const
    {  return 0xFF;  }

  // Ein- und Ausgabe
  SequencerIO& sequencerOut (SequencerIO& sequencerIO) const;
  SequencerIO& sequencerIn (SequencerIO& sequencerIO);
};

#endif

