/*******************************************************************************
* Copyright Johannes Martin Software Entwicklung (L.Martin@TeamOS2.de)         *
********************************************************************************
* FILE NAME: MidiSequencerMessage.hpp                                          *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the class:                                                  *
*     MidiSequencerMessage                                                     *
*******************************************************************************/
#ifndef _MIDISEQUENCERMESSAGE_
#define _MIDISEQUENCERMESSAGE_

#include <Exception.hpp>

#include <MidiMessage.hpp>

#include <MidiErrors.h>

class MidiSequencerMessage : public MidiMessage
{
public:
  // Standard Ein und Ausgabe
  virtual IO& out (IO&) const
    {  throw (Exception (ERROR_MIDI_NO_FILE_IO));  }
  virtual IO& in (IO&)
    {  throw (Exception (ERROR_MIDI_NO_FILE_IO));  }

  // FileIO Ein und Augabe
  virtual FileIO& fileOut (FileIO&) const
    {  throw (Exception (ERROR_MIDI_NO_FILE_IO));  }
  virtual FileIO& fileIn (FileIO&)
    {  throw (Exception (ERROR_MIDI_NO_FILE_IO));  }
};

#endif
