/*******************************************************************************
* Copyright Johannes Martin Software Entwicklung (L.Martin@TeamOS2.de)         *
********************************************************************************
* FILE NAME: MidiSongPositionPointer.hpp                                       *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the class:                                                  *
*     MidiSongPositionPointer                                                  *
*******************************************************************************/
#ifndef _MIDISONGPOSOTIONPOINTER_
#define _MIDISONGPOSITIONPOINTER_

#include <MidiMessage.hpp>

class MidiSongPositionPointer : public MidiMessage
{
protected:
  unsigned short midiPosition;

public:
  // Constructor
  MidiSongPositionPointer (void)
    {  midiPosition = 0;  }

  // Message kopieren
  MidiMessage* _Export copy () const;

  // Message ID
  unsigned char id () const
    {  return 0xF2;  }

  // Position
  unsigned short position () const
    {  return midiPosition;  }
  void _Export setPosition (const unsigned short positionTemp);

  // Ein- und Ausgabe
  IO& _Export out (IO& iO) const;
  IO& _Export in (IO& iO);
};

#endif

