/*******************************************************************************
* Copyright Johannes Martin Software Entwicklung (L.Martin@TeamOS2.de)         *
********************************************************************************
* FILE NAME: MidiSongSelect.cpp                                                *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Class implementation of the class:                                         *
*     MidiSongSelect                                                           *
*******************************************************************************/
#include <Exception.hpp>
#include "MidiSongSelect.hpp"

#include "MidiErrors.h"

// Message kopieren
MidiMessage* MidiSongSelect::copy () const
{
  MidiSongSelect *messageTemp = new MidiSongSelect ();
  messageTemp->setDelay (delay());
  messageTemp->setSelect (select ());
  return (messageTemp);
}

// Select setzen und ueberpruefen
void MidiSongSelect::setSelect (const unsigned char selectTemp)
{
  if (selectTemp > 0x7F)
    throw (Exception (ERROR_MIDI_SELECT));

  midiSelect = selectTemp;
}

// sichern
IO& MidiSongSelect::out (IO& iO) const
{
  return iO << (unsigned char)(0xF3)
                << select ();
}

// laden und ueberpruefen
IO& MidiSongSelect::in (IO& iO)
{
  unsigned char c;

  // Erwartet, da richtiges Statusbyte gelesen wurde
  iO >> c;
  setSelect (c);

  return iO;
}

