/*******************************************************************************
* Copyright Johannes Martin Software Entwicklung (L.Martin@TeamOS2.de)         *
********************************************************************************
* FILE NAME: MidiSongSelect.hpp                                                *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the class:                                                  *
*     MidiSongSelect                                                           *
*******************************************************************************/
#ifndef _MIDISONGSELECT_
#define _MIDISONGSELECT_

#include <MidiMessage.hpp>

class MidiSongSelect : public MidiMessage
{
protected:
  unsigned short midiSelect;

public:
  // Constructor
  MidiSongSelect (void)
    {  midiSelect = 0;  }

  // Message kopieren
  MidiMessage* _Export copy () const;

  // Message ID
  unsigned char id () const
    {  return 0xF3;  }

  // Position
  unsigned char select () const
    {  return midiSelect;  }
  void _Export setSelect (const unsigned char selectTemp);

  // Ein- und Ausgabe
  IO& _Export out (IO& iO) const;
  IO& _Export in (IO& iO);
};

#endif

