/*******************************************************************************
* Copyright Johannes Martin Software Entwicklung (L.Martin@TeamOS2.de)         *
********************************************************************************
* FILE NAME: MidiSystemExclusive.hpp                                           *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the class:                                                  *
*     MidiSystemExclusive                                                      *
*******************************************************************************/
#ifndef _MIDISYSTEMEXCLUSIVE_
#define _MIDISYSTEMEXCLUSIVE_

#include <MidiMessage.hpp>

class MidiSystemExclusive : public MidiMessage
{
protected:
  unsigned char sysExId;
  MidiDelay sysExLaenge;
  unsigned char *sysExContent;

public:
  // Constructor
  _Export MidiSystemExclusive (void);

  // Message kopieren
  MidiMessage* _Export copy () const;

  // Message ID
  unsigned char id () const
    {  return 0xF0;  }

  // Id
  unsigned char systemExclusivId () const
    {  return sysExId;  }
  void setSystemExclusiveId (const unsigned char idTemp)
    {  sysExId = idTemp; }

  // Content
  void _Export setContent (const MidiSystemExclusive& midiSystemExclusiveTemp);
  MidiDelay _Export content (unsigned char *contentTemp[]) const;
  void _Export setContent (const unsigned char *contentTemp, const MidiDelay& laengeTemp);

  // Ein und Ausgabe
  IO& _Export out (IO& io) const;
  IO& _Export in (IO& io);
};

#endif

