/*******************************************************************************
* Copyright Johannes Martin Software Entwicklung (L.Martin@TeamOS2.de)         *
********************************************************************************
* FILE NAME: MidiTimeCode.cpp                                                  *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Class implementation of the class:                                         *
*     MidiTimeCode                                                             *
*******************************************************************************/
#include <Exception.hpp>
#include "MidiTimeCode.hpp"

#include "MidiErrors.h"

// Message kopieren
MidiMessage* MidiTimeCode::copy () const
{
  MidiTimeCode *messageTemp = new MidiTimeCode ();
  messageTemp->setDelay (delay());
  messageTemp->setTimeCode (timeCode ());
  return (messageTemp);
}

// Time Code setzen und ueberpruefen
void MidiTimeCode::setTimeCode (const unsigned char timeCodeTemp)
{
  if (timeCodeTemp > 0x7F)
    throw (Exception (ERROR_MIDI_CODE));

  midiCode = timeCodeTemp;
}

// sichern
IO& MidiTimeCode::out (IO& iO) const
{
  return iO << (unsigned char)(0xF1)
                << timeCode ();
}

// laden und ueberpruefen
IO& MidiTimeCode::in (IO& iO)
{
  unsigned char c;

  // Erwartet, da richtiges Statusbyte gelesen wurde
  iO >> c;
  setTimeCode (c);

  return iO;
}

