/*******************************************************************************
* Copyright Johannes Martin Software Entwicklung (L.Martin@TeamOS2.de)         *
********************************************************************************
* FILE NAME: MidiTimeConde.hpp                                                 *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the class:                                                  *
*     MidiTimeConde                                                            *
*******************************************************************************/
#ifndef _MIDITIMECODE_
#define _MIDITIMECODE_

#include <MidiMessage.hpp>

class MidiTimeCode : public MidiMessage
{
protected:
  unsigned char midiCode;

public:
  // Constructor
  MidiTimeCode (void)
    {  midiCode = 0;  }

  // Message kopieren
  MidiMessage* _Export copy () const;

  // Message ID
  unsigned char id () const
    {  return 0xF1;  }

  // Time Code
  unsigned char timeCode () const
    {  return midiCode;  }
  void _Export setTimeCode (const unsigned char timeCodeTemp);

  // Ein- und Ausgabe
  IO& _Export out (IO& iO) const;
  IO& _Export in (IO& iO);
};

#endif

