/*******************************************************************************
* Copyright Johannes Martin Software Entwicklung (L.Martin@TeamOS2.de)         *
********************************************************************************
* FILE NAME: MidiTuneRequest.cpp                                               *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Class implementation of the class:                                         *
*     MidiTuneRequest                                                          *
*******************************************************************************/

#include "MidiTuneRequest.hpp"

#include "MidiErrors.h"

// Message kopieren
MidiMessage* MidiTuneRequest::copy () const
{
  MidiTuneRequest *messageTemp = new MidiTuneRequest ();
  messageTemp->setDelay (delay());
  return (messageTemp);
}

// sichern
IO& MidiTuneRequest::out (IO& iO) const
{
  return iO << (unsigned char)(0xF6);
}

// laden und ueberpruefen
IO& MidiTuneRequest::in (IO& iO)
{
  // Erwartet, da richtiges Statusbyte gelesen
  return iO;
}

